Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

Get the banner and the What's new feed for the current user

GET
/api/v1/announcements
curl --request GET \
--url https://api.yggy.tech/api/v1/announcements \
--header 'Authorization: Bearer <token>'

Announcement feed

Media type application/json
object
banner
required
object
id
required
string
kind
required
string
Allowed values: release news maintenance
title
required
string
body
required
string | null
changelogDate
required
string | null
linkUrl
required
string | null
dismissible
required
boolean
startsAt
required
string
recent
required
Array<object>
object
id
required
string
kind
required
string
Allowed values: release news maintenance
title
required
string
body
required
string | null
changelogDate
required
string | null
linkUrl
required
string | null
dismissible
required
boolean
startsAt
required
string
read
required
boolean
unreadCount
required
integer
Example
{
"banner": {
"kind": "release"
},
"recent": [
{
"kind": "release"
}
]
}